Bug 521795 - Xorg dismisses Xmodmap after BlankTime
Summary: Xorg dismisses Xmodmap after BlankTime
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 11:21 UTC by Stefan Schulze Frielinghaus
Modified: 2018-04-11 16:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:28:08 UTC


Attachments (Terms of Use)

Description Stefan Schulze Frielinghaus 2009-09-08 11:21:49 UTC
Description of problem:
After Xorg blanks the screen (BlankTime) all modifications done via xmodmap are reversed. The global file /etc/X11/Xmodmap holds some modifications which are then reversed. I disabled the screensaver to ensure that this is not the source of trouble.

Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.6.1.901-1.fc11

How reproducible:
Just wait for BlankTime seconds and then e.g. move the mouse to reactive the screen and then try some of your Xmodmap modifications.

Comment 1 Danny Sleator 2009-09-10 15:44:42 UTC
I have the same problem.  You don't have to wait for the screen blanktime (at least I don't).  All you have to do is turn off your monitor.  When you turn it back on, it's forgotten your xmodmap settings.  Oh, and also forgets the mouse customizations that I set using system/preferences/hardware/mouse (the menu option that is).  Very annoying.  Somebody please fix this.  :-)

Comment 2 Matěj Cepl 2009-11-05 18:37:41 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Stefan Schulze Frielinghaus 2009-11-06 11:20:00 UTC
The problem still persists (with latest updates from today, still xorg-x11-server-Xorg-1.6.4-0.1.fc11.ppc).

A quick test can be done by the following steps.
- Change your keyboard settings e.g. map Ctrl to Spacebar via xmodmap then
- suspend your computer
- re-activate it and your settings are lost.

At the moment I only have access to one machine and since it is a mission critical one for me, I will not enable the testing repo.

Additionally, it is a PPC machine I cannot boot from a LiveCD because no one exists :/

I'm not familiar with the xorg code. If someone could point me to a direction where to debug, then I could provide more informations.

Danny do you have access to a x86 machine and can test a F-12 pre LiveCD?

Comment 4 Stefan Schulze Frielinghaus 2009-11-14 15:18:57 UTC
After searching for several hours I think we are not the only one who encounter this problem e.g. here:

https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/289781

It seems to be a problem with the new evdev driver. After a suspend my keyboard (recognized as a USB one) gets refreshed and the Xmodmap settings get lost.

Couldn't we circumvent the problem by adding the Xmodmap rules into HAL? Is something like that possible?

Comment 5 Matthew Miller 2009-11-15 21:55:54 UTC
I'm seeing this too.

Comment 6 Bug Zapper 2010-04-28 10:13:49 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Stefan Schulze Frielinghaus 2010-04-28 14:31:41 UTC
The problem still persists (F12 with current updates from today).

Comment 8 Bug Zapper 2010-11-04 10:10:30 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Stefan Schulze Frielinghaus 2010-11-05 10:14:32 UTC
Since I can only reproduce this error on a notebook which runs F12 and nothing
else, I will let the Bug Zapper close this bug unless someone else responds/has
some ideas or whatever.

Regards,
Stefan

Comment 10 Bug Zapper 2010-12-05 06:28:08 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.